Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231207 - AEP: change exe file name
Summary: AEP: change exe file name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Brian Stevens
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 19:15 UTC by Chandrasekar Kannan
Modified: 2017-04-10 14:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-29 00:08:38 UTC


Attachments (Terms of Use)

Description Chandrasekar Kannan 2007-03-06 19:15:45 UTC
Auto enrollment proxy - rename exe file name to match
with our naming conventions. Contact matt for instructions.

Comment 1 Matthew Harmsen 2007-03-08 21:26:31 UTC
The naming formula for Windows platforms is:

{name}-{version}-{release}.{architecture}.{package type}

where:

{name} is alphanumeric and must utilize dashes as replacements to spaces or
underscores

{version} is three dot-separated numbers, a.b.c, where "a" is the major version,
"b" is the minor version, and "c" is the patch/service pack version (0 for RTM)

{release} is the monotonically increasing build number followed by a dot
followed by the string "win32" to denote platform

{architecture} is "i386" for 32-bit Windows products

{package type} is "exe" for Windows products

EXAMPLE:

aep-1.0.0-1.win32.i386.exe

I would suggest dropping the "rh" from the package name if no branding is
performed on this package.


Comment 2 Steve Parkinson 2007-03-13 17:21:57 UTC
package changed to match the specification above.


Comment 3 Chandrasekar Kannan 2007-04-19 05:17:03 UTC
Verified with CS 7.3 build 04/18.

file name looks ok to me - aep-1.0.0-1.win32.i386.exe


Comment 4 Red Hat Bugzilla 2007-11-05 04:21:13 UTC
User sparkins@redhat.com's account has been closed

Comment 5 Chandrasekar Kannan 2008-08-25 22:51:56 UTC
Bug already CLOSED/VERIFIED. setting screened+ flag


Note You need to log in before you can comment on or make changes to this bug.